# class Net::WriteTimeout

`WriteTimeout`, a subclass of `Timeout::Error`, is raised if a chunk of the response cannot be written within the write_timeout. Not raised on Windows.

### Attributes

io [R]

### Public Class Methods

new (io = nil)
Source

    # File lib/net/protocol.rb, line 100
    def initialize(io = nil)
      @io = io
    end

### Public Instance Methods

message ()
Source

    # File lib/net/protocol.rb, line 105
    def message
      msg = super
      if @io
        msg = "#{msg} with #{@io.inspect}"
      end
      msg
    end

Calls superclass method `Exception#message`